package com.hw.mes.domain;

import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 工序信息对象 mes_base_process_info
 *
 * @author Yinq
 * @date 2024-01-24
 */
public class MesBaseProcessInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long processId;

    /**
     * 工序编号
     */
    @Excel(name = "工序编号")
    private String processCode;

    /**
     * 工序名称
     */
    @Excel(name = "工序名称")
    private String processName;

    /**
     * 工序类别（1-生产工序；2-质检工序）
     */
    @Excel(name = "工序类别" , readConverterExp = "1=生产工序,2=质检工序")
    private String processType;

    /**
     * 标准工时(分钟)
     */
    @Excel(name = "标准工时(分钟)")
    private Long productionTime;

    /**
     * 激活标识
     */
    @Excel(name = "激活标识")
    private String activeFlag;

    /**
     * 工序关联产线信息
     */
    private List<MesBaseProcessProdline> mesBaseProcessProdlineList;

    /** 工序关联人员信息 */
    private List<MesBaseProcessUser> mesBaseProcessUserList;

    public List<MesBaseProcessUser> getMesBaseProcessUserList() {
        return mesBaseProcessUserList;
    }

    public void setMesBaseProcessUserList(List<MesBaseProcessUser> mesBaseProcessUserList) {
        this.mesBaseProcessUserList = mesBaseProcessUserList;
    }

    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    public Long getProcessId() {
        return processId;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    public String getProcessCode() {
        return processCode;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessType(String processType) {
        this.processType = processType;
    }

    public String getProcessType() {
        return processType;
    }

    public void setProductionTime(Long productionTime) {
        this.productionTime = productionTime;
    }

    public Long getProductionTime() {
        return productionTime;
    }

    public void setActiveFlag(String activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getActiveFlag() {
        return activeFlag;
    }

    public List<MesBaseProcessProdline> getMesBaseProcessProdlineList() {
        return mesBaseProcessProdlineList;
    }

    public void setMesBaseProcessProdlineList(List<MesBaseProcessProdline> mesBaseProcessProdlineList) {
        this.mesBaseProcessProdlineList = mesBaseProcessProdlineList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("processId" , getProcessId())
                .append("processCode" , getProcessCode())
                .append("processName" , getProcessName())
                .append("processType" , getProcessType())
                .append("productionTime" , getProductionTime())
                .append("activeFlag" , getActiveFlag())
                .append("remark" , getRemark())
                .append("createBy" , getCreateBy())
                .append("createTime" , getCreateTime())
                .append("updateBy" , getUpdateBy())
                .append("updateTime" , getUpdateTime())
                .append("mesBaseProcessProdlineList" , getMesBaseProcessProdlineList())
                .toString();
    }
}
